org.omg.PortableInterceptor

## Interface RequestInfo

All Superinterfaces:
  IDLEntity, Object, RequestInfoOperations, Serializable

All Known Subinterfaces:
  ClientRequestInfo, ServerRequestInfo

    public interface RequestInfo
    extends RequestInfoOperations, Object, IDLEntity

Request Information, accessible to Interceptors.

Each interception point is given an object through which the Interceptor can access request information. Client-side and server-side interception points are concerned with different information, so there are two information objects: `ClientRequestInfo` is passed to the client-side interception points and `ServerRequestInfo` is passed to the server-side interception points. But there is information that is common to both, so they both inherit from a common interface: `RequestInfo`.

See Also:
  `ClientRequestInfo`, `ServerRequestInfo`

### Method Summary

### Methods inherited from interface org.omg.PortableInterceptor.RequestInfoOperations

`arguments, contexts, exceptions, forward_reference, get_reply_service_context, get_request_service_context, get_slot, operation_context, operation, reply_status, request_id, response_expected, result, sync_scope`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`